<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: MatchGlobalVarRefs.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_match_global_var_refs_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">MatchGlobalVarRefs.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_match_global_var_refs_8h__dep__incl.png" border="0" usemap="#_match_global_var_refs_8hdep" alt=""/></div>
<map name="_match_global_var_refs_8hdep" id="_match_global_var_refs_8hdep">
<area shape="rect" title=" " alt="" coords="281,5,447,32"/>
<area shape="rect" href="create_recursive_funct_matchers_8hpp.html" title=" " alt="" coords="5,80,256,107"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html" title=" " alt="" coords="290,155,438,196"/>
<area shape="rect" href="get_decl_context_and_decls_8hpp.html" title=" " alt="" coords="330,80,542,107"/>
<area shape="rect" href="get_function_decls_as_o_s_processes_8hpp.html" title=" " alt="" coords="565,80,827,107"/>
</map>
</div>
</div>
<p><a href="_match_global_var_refs_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a25dcfec2d96a0a9a6c0a56cc9c35eb9f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_match_global_var_refs_8h.html#a25dcfec2d96a0a9a6c0a56cc9c35eb9f">MatchAllRefGlobalVar</a>(processName)&#160;&#160;&#160;declRefExpr(hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;VarDecl_RefGlobalVars&quot;)),hasAncestor(<a class="el" href="_match_process_body_8h.html#afb647cf265f741bfa2714db84b53cee3">MatcherProcessBody</a>(processName))).bind(&quot;DeclRef_RefGlobalVars&quot;)</td></tr>
<tr class="separator:a25dcfec2d96a0a9a6c0a56cc9c35eb9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1ff619a62c412a83a1b67d0db657937"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_match_global_var_refs_8h.html#aa1ff619a62c412a83a1b67d0db657937">MatchAllEqInProcessBody</a>(processName)&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasAncestor(<a class="el" href="_match_process_body_8h.html#afb647cf265f741bfa2714db84b53cee3">MatcherProcessBody</a>(processName))).bind(&quot;AllEquationsInProcessBody&quot;)</td></tr>
<tr class="separator:aa1ff619a62c412a83a1b67d0db657937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4f79df3e80fe0395fd41c01fe54a79e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_match_global_var_refs_8h.html#ab4f79df3e80fe0395fd41c01fe54a79e">MatchAllCallExpr</a>(processName)&#160;&#160;&#160;callExpr(callee(functionDecl().bind(&quot;FunctionDecl_RefFuncDecl&quot;)),hasAncestor(<a class="el" href="_match_process_body_8h.html#afb647cf265f741bfa2714db84b53cee3">MatcherProcessBody</a>(processName))).bind(&quot;CallExpr_RefFuncDecl&quot;)</td></tr>
<tr class="separator:ab4f79df3e80fe0395fd41c01fe54a79e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1adc6df1553d87699e8aa259caa07f63"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_match_global_var_refs_8h.html#a1adc6df1553d87699e8aa259caa07f63">MatchAllRefRes</a>(processName)&#160;&#160;&#160;declRefExpr(hasDeclaration(recordDecl().bind(&quot;RecorDecl_RefRecs&quot;)),hasAncestor(<a class="el" href="_match_process_body_8h.html#afb647cf265f741bfa2714db84b53cee3">MatcherProcessBody</a>(processName))).bind(&quot;DeclRef_RefRecs&quot;)</td></tr>
<tr class="separator:a1adc6df1553d87699e8aa259caa07f63"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ab4f79df3e80fe0395fd41c01fe54a79e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4f79df3e80fe0395fd41c01fe54a79e">&#9670;&nbsp;</a></span>MatchAllCallExpr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchAllCallExpr</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">processName</td><td>)</td>
          <td>&#160;&#160;&#160;callExpr(callee(functionDecl().bind(&quot;FunctionDecl_RefFuncDecl&quot;)),hasAncestor(<a class="el" href="_match_process_body_8h.html#afb647cf265f741bfa2714db84b53cee3">MatcherProcessBody</a>(processName))).bind(&quot;CallExpr_RefFuncDecl&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa1ff619a62c412a83a1b67d0db657937"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1ff619a62c412a83a1b67d0db657937">&#9670;&nbsp;</a></span>MatchAllEqInProcessBody</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchAllEqInProcessBody</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">processName</td><td>)</td>
          <td>&#160;&#160;&#160;binaryOperator(hasOperatorName(&quot;=&quot;),hasAncestor(<a class="el" href="_match_process_body_8h.html#afb647cf265f741bfa2714db84b53cee3">MatcherProcessBody</a>(processName))).bind(&quot;AllEquationsInProcessBody&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a25dcfec2d96a0a9a6c0a56cc9c35eb9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25dcfec2d96a0a9a6c0a56cc9c35eb9f">&#9670;&nbsp;</a></span>MatchAllRefGlobalVar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchAllRefGlobalVar</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">processName</td><td>)</td>
          <td>&#160;&#160;&#160;declRefExpr(hasDeclaration(varDecl(hasGlobalStorage()).bind(&quot;VarDecl_RefGlobalVars&quot;)),hasAncestor(<a class="el" href="_match_process_body_8h.html#afb647cf265f741bfa2714db84b53cee3">MatcherProcessBody</a>(processName))).bind(&quot;DeclRef_RefGlobalVars&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1adc6df1553d87699e8aa259caa07f63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1adc6df1553d87699e8aa259caa07f63">&#9670;&nbsp;</a></span>MatchAllRefRes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MatchAllRefRes</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">processName</td><td>)</td>
          <td>&#160;&#160;&#160;declRefExpr(hasDeclaration(recordDecl().bind(&quot;RecorDecl_RefRecs&quot;)),hasAncestor(<a class="el" href="_match_process_body_8h.html#afb647cf265f741bfa2714db84b53cee3">MatcherProcessBody</a>(processName))).bind(&quot;DeclRef_RefRecs&quot;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="_match_global_var_refs_8h.html">MatchGlobalVarRefs.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
